<?php

function captchaImage($code) { 
	# basic config
	$imgwidth		= 120;		# 100px - max 5 chars
	$imgheight		= 50;
	$minnroflines	= 10;
	$maxnroflines	= 10;
	$fontname		= 'anonymous.gdf';
	$leftmargin		= 5;
	$topmargin		= 5;
	$fontpath		= './fonts';
	
	header('Content-type: image/png');
	$img = imagecreate($imgwidth, $imgheight);

	# bg color	 
	imagecolorallocate($img, 250, 250, 250);
	 
	putenv('GDFONTPATH=' . realpath($fontpath));
	
	# construct font
	$font = imageloadfont("$fontpath/$fontname");
	
	# code insertion
	$fw = imagefontwidth($font);
	$fh = imagefontheight($font);
	$width = $leftmargin;
	for ($i = 0; $i < strlen($code); $i++) {
	 	
	 	if($i % 2) {
	 		$color=imagecolorallocate($img, 255, 113, 16);
	 		
	 	} else {
		 	$color=imagecolorallocate($img, 24, 85, 148);
	 	}
	 	# write the generated code char
	 	imagechar($img, $font, rand($width-$fw/20, $width+$fw/20), rand($topmargin-$fh/4, $topmargin+$fh/4), $code[$i], $color);
	 	
	 	$width += $fw;
	}
	
	# draw some random lines
	$nroflines = rand($minnroflines,$maxnroflines);
	$newx = $imgwidth;
	$newy = $imgheight;
	$currentx = $newx + 70;
	$currenty = 0;

	while($currentx) {
	 	$color=imagecolorallocate($img, 115, 154, 189);
	 	$newx -= 5;
		imageline($img, $currentx, $currenty, $newx, $newy, $color);
		$currentx -= 5;
	}
	
	while($newx < $imgwidth){
	 	$color=imagecolorallocate($img, 115, 154, 189);
	 	$newx += 5;
		imageline($img, $currentx, $currenty, $newx, $newy, $color);
		$currentx += 5;
	}

	#draw a border for image
	$borderColor = imagecolorallocate($img, 115, 154, 189);

	imageline($img, 0, $imgheight-1, $imgwidth, $imgheight-1, $borderColor);
	imageline($img, $imgwidth-1, $imgheight,$imgwidth-1, 0, $borderColor);
	imageline($img, $imgwidth, 0, 0, 0, $borderColor);
	imageline($img, 0, 0, 0, $imgheight, $borderColor);
	
	imagepng($img);
	imagedestroy($img);
}

session_start();
$_SESSION['secureCode'] = substr(md5(time()+mt_rand(111,999)), 0, 5);
captchaImage($_SESSION['secureCode']);
?>