<?php
include_once('../common/delegate.php');
include_once('../common/calendar.php');

// Start the session
session_start();

// Check if user is logged
if(!is_numeric($_SESSION['userId'])) {
	header("Location: ". SERVER_ROOT ."");
	exit();
}

// Make new Delegate instance
$delegate = new Delegate();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="expires" content="0">
	<title>Daily</title>
	
	<link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
	<link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>
	
	<!--for reject reason tooltip-->
	<script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/dhtmltooltip.js"></script>
	
	<!--for completing Activities by selected Project-->
	<script src="<?=SERVER_ROOT?>/assets/javascript/json2.js" type="text/javascript"></script>
	
	<script language="JavaScript" type="text/javascript">            
	          <!--  
	            var http = null;            
	            http = getHTTPObject();
	            
	            /*
	            You can not reuse the XMLHttpRequest in IE6. 
	            To do that you have to use abort() method.
	            See: 
	                http://radio.javaranch.com/pascarello/2006/03/30/1143735438047.html
	                http://keelypavan.blogspot.com/2006/03/reusing-xmlhttprequest-object-in-ie.html
	                http://blogs.pathf.com/agileajax/2006/08/object_pooling_.html
	                http://ajaxian.com/archives/reusing-xmlhttprequest-without-abort
	                http://en.wikipedia.org/wiki/XMLHttpRequest
	            */
	            function getHTTPObject() {
	                if(http == null){
	                    //alert('Is null');
	                    if (window.XMLHttpRequest) { // Mozilla, Safari,...
	
	                        http = new XMLHttpRequest();
	                        if (http.overrideMimeType) {
	                            http.overrideMimeType('text/html');
	                            //netscape.security.PrivilegeManager.enablePrivilege("UniversalPreferencesRead");
	                        }
	                    } else if (window.ActiveXObject) { // IE
	                        try {
	                            http = new ActiveXObject("Msxml2.XMLHTTP");
	                        } catch (i) {
	                            try {
	                                http = new ActiveXObject("Microsoft.XMLHTTP");
	                            } catch (i) {}
	                        }
	                    }
	                }
	                else{
	                    //alert('Is NOT null');
	                    http.abort()
	                }
	                return http;                
	            }
	            
	            function debugObject(obj){
	                for(var prop in obj){
	                    alert(prop);
	                    for(var subprop in obj[prop]){
	                        alert(subprop);
	                    }
	                }
	            }
	            
	            function call(){
	                http = getHTTPObject();
	                //alert('k');
	                var url = '<?=SERVER_ROOT?>/common/tasksForProject.php?'
	                //get selected project
	                if(document.getElementById('projectId')){
	                    
	                    var projectSelect = document.getElementById('projectId');
	                    var projectId = projectSelect.options[projectSelect.selectedIndex].value;
	                    //alert('Project is is ' + projectSelect.options[projectSelect.selectedIndex].value);
	
	                    var params = 'projectId='+projectId;
						//alert('URL is:' + url + params );
						
	                    http.open("POST", url, true);
	                    http.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded'); 
	                    http.onreadystatechange = function() {
	                        if (http.readyState == 4 && http.status == 200) {
	                            var result = http.responseText;
	                            //alert(result);
	                            http.abort();
	
	
	                            //clear tasks select
	                            var taskSelect = document.getElementById('taskId');
	                            taskSelect.options.length = 0;
	
	                            //populate the tasks select
	                            var myObject = JSON.parse(result, null);
	                            //debugObject(myObject['tasks']);
	                            //alert(myObject['tasks'].length);
	
	                            taskSelect.options[0] = new Option('Not specified', 'NULL');
	                            var i = 1;
	                            for(var k=0; k<myObject['tasks'].length; k++){
	                                //alert(myObject.tasks[k]['name']);
	                                taskSelect.options[i] = new Option(myObject.tasks[k]['name'], myObject.tasks[k]['id']);
	                                i++;
	                            }
	                        }
	                        else {
	                            //alert('Cannot access cross domain information.' + http);
	                        }
	                    }
	                    //alert(params);
	                    http.send(params);	
	               }//if id
	           }
	           
	           /*Just trim a string (of white spaces)*/
	           function trim(str){
	               return str.replace(/^\s+|\s+$/g, '');
	           }
	           
	           
	           /*
	           * Triggered when we modify start/stop time and we want to disable 
	           * timespan
	           */
	           function modifyTime(){       
	               //alert('Key pressed');
	               var startTime = document.getElementById('startTime');
	               var endTime = document.getElementById('endTime');
	               var timeSpan = document.getElementById('timeSpan');
	               
	               var s = trim(startTime.value);
	               var e = trim(endTime.value);
	               //alert('[' + v + ']');
	               if(s == '' && e ==''){ //enable the time span                                      
	                   timeSpan.disabled = false;
	                   timeSpan.style.bgColor = 'white';
	               }
	               else{
	                   timeSpan.disabled = true;
	                   timeSpan.style.bgColor = '#CDCDCD';                   
	               }                                  
	           }
	           
	           
	           /*
	           * Triggered when we modify timespan time and we want to disable 
	           * editing start/stop time 
	           */
	           function modifyTimeSpan(){       
	               //alert('Key pressed');
	               var startTime = document.getElementById('startTime');
	               var endTime = document.getElementById('endTime');
	               var timeSpan = document.getElementById('timeSpan');
	               
	               var v = trim(timeSpan.value);
	               //alert('[' + v + ']');
	               if(v == ''){ //enable the time span                                      
	                   startTime.disabled = false;
	                   endTime.disabled = false;
	               }
	               else{
	                   startTime.disabled = true;                   
	                   endTime.disabled = true;
	               }                                  
	           }
	           
	           
	           function currentTime(){
	                var today = new Date();
	
	                digitalHour = today.getHours();
	                digitalMin = today.getMinutes();
	                digitalSec = today.getSeconds();
	
	                if (digitalHour < 10) { digitalHour = "0" + digitalHour; }
	                if (digitalMin < 10) { digitalMin = "0" + digitalMin; }
	                if (digitalSec < 10) { digitalSec = "0" + digitalSec; }
	
	                timeLocal = digitalHour + ":" + digitalMin // + ":" + digitalSec    
	
	                return timeLocal;
	            }
	            
	            
	           /*Set a time field to current time*/ 
	           function now(theId){
	               http = getHTTPObject();
	               
	               var timeElem = document.getElementById(theId);
	               
	               if(timeElem.disabled){
	                   return;
	               }
	              
	               
	              
	               var tempDate = new Date();
	               var url = '<?=SERVER_ROOT?>/common/currentTime.php?' + 'time='+tempDate.getTime();
	                //get selected project
	                               
	                http.open("GET", url, true);
	                http.onreadystatechange = function() {
	                    if (http.readyState == 4 && http.status == 200) {
	                        var result = http.responseText;
	                        timeElem.value = result;
	                    }
	                    else {
	                    }
	               }
	               
	               
	               http.send('');	
	                     
	               //alert('Log: sent!');
	               
	               modifyTime();
	           }
	           
	           
	           /*Ads leading zero for hour and minutes*/
	           function leadingZero(anInt){
	               var str = anInt.toString()
	               if(anInt < 10 && anInt >=0 ){
	                   str = '0' + str;
	               }
	               
	               return str;
	           }
	               
	           /*Increase a time field by 15 minutes*/
	           function increaseTime(theId){
	               var timeElem = document.getElementById(theId);
	               
	               if(timeElem.disabled){
	                   return;
	               }
	               
	               var oldTime, newTime;
	               oldTime = timeElem.value;
	               newTime = '';
	               
	               if(trim(oldTime) == ''){ //no time set up
	                   newTime = currentTime();
	               }
	               
	               if(oldTime.indexOf(":") == -1){
	                   newTime = currentTime();
	               }
	               else{
	                   var timeSeparator = oldTime.indexOf(":");
	                   var digitalHour = oldTime.substring(0,timeSeparator);
	                   var digitalMinute = oldTime.substring(timeSeparator+1);
	                   //alert('Hour is ' + digitalHour + ' minute is: ' + digitalMinute);
	                   
	                   var digitalHourInt = parseInt(digitalHour, 10);                                      
	                   var digitalMinuteInt = parseInt(digitalMinute,10);
	                   //alert('Hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
	                   
	                   if(isNaN(digitalHourInt) || isNaN(digitalMinuteInt)){
	                       //alert('Hour is not a number');
	                       newTime = currentTime();
	                   }
	                   else if(digitalHourInt < 0 || digitalMinuteInt < 0){
	                       newTime = currentTime();
	                   }    
	                   else{                   
	                       digitalMinuteInt  = digitalMinuteInt + 15;
	
	                       if(digitalMinuteInt >= 60){
	                           digitalMinuteInt = digitalMinuteInt % 60;                       
	                           digitalHourInt++;
	                           if(digitalHourInt > 23){
	                               digitalHourInt = digitalHourInt % 24;
	                           }
	
	                       }
	                       //alert('New hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
	                       newTime = leadingZero(digitalHourInt) + ':' + leadingZero(digitalMinuteInt);
	                   }
	               }//end else
	               
	               timeElem.value = newTime;
	               modifyTime();
	           }
	           
	           
	           /*Increase a time field by 15 minutes*/
	           function decreaseTime(theId){   
	               var timeElem = document.getElementById(theId);
	               if(timeElem.disabled){
	                   return;
	               }
	               
	               var oldTime, newTime;
	               oldTime = timeElem.value;
	               newTime = '';
	               
	               if(trim(oldTime) == ''){ //no time set up
	                   newTime = currentTime();
	               }
	               
	               if(oldTime.indexOf(":") == -1){
	                   newTime = currentTime();
	               }
	               else{
	                   var timeSeparator = oldTime.indexOf(":");
	                   var digitalHour = oldTime.substring(0,timeSeparator);
	                   var digitalMinute = oldTime.substring(timeSeparator+1);
	                   //alert('1. Hour is [' + digitalHour + '] minute is: ' + digitalMinute);
	                   
	                   var digitalHourInt = parseInt(digitalHour, 10);                                      
	                   var digitalMinuteInt = parseInt(digitalMinute,10);
	                   //alert('2. Hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
	                   
	                   if(isNaN(digitalHourInt) || isNaN(digitalMinuteInt)){
	                       //alert('Hour is not a number');
	                       newTime = currentTime();
	                   }
	                   else if(digitalHourInt < 0 || digitalMinuteInt < 0){
	                       newTime = currentTime();
	                   }    
	                   else{                   
	                       //alert('3. Hour : ' + digitalHourInt + 'Min : ' + digitalMinuteInt);
	                       digitalMinuteInt  = digitalMinuteInt - 15;
	
	                       if(digitalMinuteInt < 0){
	                           digitalMinuteInt = 60 - Math.abs(digitalMinuteInt % 60);                       
	                           digitalHourInt--;
	                           if(digitalHourInt < 0){
	                               digitalHourInt =  24 - Math.abs(digitalHourInt % 24);
	                           }
	
	                       }
	                       //alert('New hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
	                       newTime = leadingZero(digitalHourInt) + ':' + leadingZero(digitalMinuteInt);
	                   }
	               }//end else
	               
	               timeElem.value = newTime;
	               modifyTime();
	           }
	                                    
	           /*Increase a time field by 15 minutes*/
	           function increaseTimeSpan(){    
	               var timeElem = document.getElementById('timeSpan');
	               if(timeElem.disabled){
	                   return;
	               }
	               var oldTime, newTime;
	               oldTime = timeElem.value;
	               newTime = '';
	               
	               if(trim(oldTime) == ''){ //no time set up
	                   newTime = '00:00';
	               }
	               
	               if(oldTime.indexOf(":") == -1){
	                   newTime = '00:00';
	               }
	               else{
	                   var timeSeparator = oldTime.indexOf(":");
	                   var digitalHour = oldTime.substring(0,timeSeparator);
	                   var digitalMinute = oldTime.substring(timeSeparator+1);
	                   //alert('Hour is ' + digitalHour + ' minute is: ' + digitalMinute);
	                   
	                   var digitalHourInt = parseInt(digitalHour, 10);                                      
	                   var digitalMinuteInt = parseInt(digitalMinute,10);
	                   //alert('Hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
	                   
	                   if(isNaN(digitalHourInt) || isNaN(digitalMinuteInt)){
	                       //alert('Hour is not a number');
	                       newTime = '00:00';
	                   }
	                   else if(digitalHourInt < 0 || digitalMinuteInt < 0){
	                       newTime = '00:00';
	                   }    
	                   else{                   
	                       digitalMinuteInt  = digitalMinuteInt + 15;
	
	                       if(digitalMinuteInt > 60){
	                           digitalMinuteInt = digitalMinuteInt % 60;                       
	                           digitalHourInt++;
	                           if(digitalHourInt > 23){
	                               digitalHourInt = digitalHourInt % 24;
	                           }
	
	                       }
	                       //alert('New hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
	                       newTime = leadingZero(digitalHourInt) + ':' + leadingZero(digitalMinuteInt);
	                   }
	               }//end else
	               
	               timeElem.value = newTime;
	               modifyTimeSpan();
	           }
	           
	           
	           /*Increase a time field by 15 minutes*/
	           function decreaseTimeSpan(){   
	               var timeElem = document.getElementById('timeSpan');
	               if(timeElem.disabled){
	                   return;
	               }
	               var oldTime, newTime;
	               oldTime = timeElem.value;
	               newTime = '';
	               
	               if(trim(oldTime) == ''){ //no time set up
	                   newTime = '00:00';
	               }
	               
	               if(oldTime.indexOf(":") == -1){
	                   newTime = '00:00';
	               }
	               else{
	                   var timeSeparator = oldTime.indexOf(":");
	                   var digitalHour = oldTime.substring(0,timeSeparator);
	                   var digitalMinute = oldTime.substring(timeSeparator+1);
	                   //alert('Hour is ' + digitalHour + ' minute is: ' + digitalMinute);
	                   
	                   var digitalHourInt = parseInt(digitalHour,10);                                      
	                   var digitalMinuteInt = parseInt(digitalMinute,10);
	                   //alert('Hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
	                   
	                   if(isNaN(digitalHourInt) || isNaN(digitalMinuteInt)){
	                       //alert('Hour is not a number');
	                       newTime = '00:00';
	                   }
	                   else if(digitalHourInt < 0 || digitalMinuteInt < 0){
	                       newTime = '00:00';
	                   }    
	                   else{                   
	                       digitalMinuteInt  = digitalMinuteInt - 15;
	
	                       if(digitalMinuteInt < 0){
	                           digitalMinuteInt = 60 - Math.abs(digitalMinuteInt % 60);                       
	                           digitalHourInt--;
	                           if(digitalHourInt < 0){
	                               digitalHourInt =  24 - Math.abs(digitalHourInt % 24);
	                           }
	
	                       }
	                       //alert('New hour is ' + digitalHourInt + ' minute is: ' + digitalMinuteInt);
	                       newTime = leadingZero(digitalHourInt) + ':' + leadingZero(digitalMinuteInt);
	                   }
	               }//end else
	               
	               timeElem.value = newTime;
	               modifyTimeSpan();
	           }
	           //-->
	        </script>

</head>
<body>
<?php
define('SECTION', 'daily');
include_once("../common/header.php");
include_once("../common/mainbar.php");
print showErrorAndMessagesLogs();

if(is_object($_SESSION['tmpAddEntry'])) {
	$tmpAddEntry = $_SESSION['tmpAddEntry'];
	$_SESSION['tmpAddEntry'] = null;
	unset($_SESSION['tmpAddEntry']);
}

// Get active projects
$projects			=	$delegate->getProjectForUserId($loggedUser->id);
$allProjects		=	$delegate->getProjects();
$allUsersInProjects	=	count($delegate->getUsersInProjects());
?>

<div class="current_date">Current date: &nbsp; <b><?=getDateAndTime()?></b></div>
<hr />

<?
function showDailyPanel($projects = array(), $loggedUser, $tmpAddEntry = null) {

	// Make new Delegate instance
	$delegate = new Delegate();
?>


<table border="0">
	<tr>
		<td>

<!--add entry form-->
	<form action="<?=SERVER_ROOT?>/common/controller.php" method="post"> 
		<input type="hidden" name="action" value="doAddEntryExe">
			<table cellpadding="0" cellspacing="3" class="form_style" border="0">
				<tr>
					<th><label for="projectId">Project</label></th>
					<td>(<span class="required_field" title="Mandatory field">*</span>)</td>
					<td>
						<select name="projectId" id="projectId" onchange="call()" >
							<?
								// Set selected project
								if(is_numeric($tmpAddEntry->projectId)) {
									$selectedProjectId = $tmpAddEntry->projectId;
									
								} elseif(is_numeric($loggedUser->defaultProject)) {
									$selectedProjectId = $loggedUser->defaultProject; 
								}
								
								if(count($projects) > 0) {
									foreach($projects as $project) { ?>
										<option value="<?=$project->id?>" <?=($selectedProjectId == $project->id) ? "selected=\"selected\"" : ""?>> <?=$project->name?></option>				
							<?		}
								}	?>
						</select>
					</td>
					<td>&nbsp;</td>
				</tr>
	
				<tr>
					<th><label for="taskId">Task</label></th>
					<td>&nbsp;</td>
					<td>
                          <select name="taskId" id="taskId">
						
							<?php	if(!is_numeric($loggedUser->defaultTask)) { ?>
									<option value="NULL" selected="selected">Not specified</option>
							<?php
								} else {
									print "<option value=\"NULL\">Not specified</option>";
								}
								
								if(count($projects) > 0) {
									
									// Set selected default project id
									if(is_numeric($tmpAddEntry->taskId)) {
										$defaultProjectId = $tmpAddEntry->taskId;
										
									} elseif($loggedUser->defaultTask) {
										$defaultProjectId = $loggedUser->defaultTask;
									} 
									
									// If user have one default project, get all task for this									
									if(is_numeric($loggedUser->defaultProject)) {
										$tasks = $delegate->getTasks(array("projectid" => $loggedUser->defaultProject));
									
									// If user don't have one default projec, gell all task for firts project
									} else {
										$tasks = $delegate->getTasks(array("projectid" => $projects[0]->id));
										
									}
									
									if(count($tasks) > 0) {
										
										foreach($tasks as $taskKey => $task) { ?>
												<option value="<?=$task->id?>" <?=($defaultProjectId == $task->id) ? "selected=\"selected\"" : ""?> ><?=$task->name?></option>
							<?php
										} // End foreach
									} // End if count()
								} // End if count()
							?>
						</select>
                        &nbsp;
					</td>
					<td>&nbsp;</td>
				</tr>
	
				<tr>
					<th><label for="startTime">Start (hh:mm)</label></th>
					<td>&nbsp;</td>
					<td><input style="width: 209px;" type="text" name="startTime" id="startTime" onkeyup="modifyTime()" onchange="modifyTime()"></td>
					<td><a href="#" onclick="javascript:now('startTime')">Now</a> (<a href="#" onclick="increaseTime('startTime')">+</a>&nbsp;<a href="#" onclick="decreaseTime('startTime')">-</a>)</td>
				</tr>
	
			<tr>
				<th><label for="endTime">Finished (hh:mm)</label></th>
				<td>&nbsp;</td>
				<td><input style="width: 209px;" type="text" name="endTime" id="endTime" onkeyup="modifyTime()" onchange="modifyTime()"></td>
				<td><a href="#" onclick="javascript:now('endTime')">Now</a> (<a href="#" onclick="increaseTime('endTime')">+</a>&nbsp;<a href="#" onclick="decreaseTime('endTime')">-</a>)</td>
			</tr>
	
			<tr>
				<th><label for="timeSpan">Time span (hh:mm)</label></th>
				<td>&nbsp;</td>
				<td><input style="width: 209px;" type="text" name="timeSpan" id="timeSpan" onkeyup="javascript:modifyTimeSpan()" onchange="javascript:modifyTimeSpan()"></td>
				<td><a href="#" onclick="increaseTimeSpan()">+</a>&nbsp;<a href="#" onclick="decreaseTimeSpan()">-</a></td>
			</tr>
	
			<tr>
				<th><label for="description">Description</label></th>
				<td>&nbsp;</td>
				<td><input style="width: 209px;" type="text" name="description" id="description" value="<?=$tmpAddEntry->description?>"></td>
                <td>&nbsp;</td>
			</tr>
	
			<tr>
				<td>&nbsp;</td>
				<th>&nbsp;</th>
				<td align="right">
                    <!--<input type="submit" value="Add" class="submit_button">-->
                    <button type="submit" class="submit_button" style="cursor:pointer;vertical-align:middle"><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_add.gif" style="vertical-align:middle;" /> &nbsp;Add</button>
                </td>
                <td>&nbsp;</td>
			</tr>
	
			<tr>
				<td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;mandatory field</td>
			</tr>
		</table>
	</form>
	<!--end add entry form-->
	</td>
		<td>
<?
###################################################################################################
###   PRINT CALENDAR   ############################################################################

// Make new Calendar instance
$calendar = new Calendar();

// Setup the calendar
(is_numeric($_SESSION['calendarYear']))		? $calendar->year	= $_SESSION['calendarYear']		: $calendar->year	= date("Y");
(is_numeric($_SESSION['calendarMonth']))	? $calendar->month	= $_SESSION['calendarMonth']	: $calendar->month	= date("m");
(is_numeric($_SESSION['calendarDay']))		? $calendar->day	= $_SESSION['calendarDay']		: $calendar->day	= date("j");

$calendar->dayLenght		= "short"; // Can be "first", "short" or "full"
$calendar->firstDayOfWeek	= DATE_first_DAY_OF_WEEK; // Can be "mon" (Monday) OR "sun" (Sunday)
$calendar->calendarWidth	= "255px";
$calendar->emptyCell		= "&nbsp;";

// Print the calendar
$calendar->showCalendar();

###################################################################################################
###################################################################################################
?>
		</td>
	</tr>
</table>


<?php

if(!empty($calendar->year) AND !empty($calendar->month) AND !empty($calendar->day)) {
	
	$entries = $delegate->getEntries(array("date" => "{$calendar->year}-{$calendar->month}-{$calendar->day}", "userid" => $loggedUser->id));
	
} else {
	$entries = $delegate->getEntries(array("date" => "{$calendar->year}-{$calendar->month}-". date("d") ."", "userid" => $loggedUser->id));
}

if(is_array($entries) AND count($entries) > 0) { ?>
	<hr/>
	<div class="page_title">Daily entries</div>
	 
	<!--START ENTRIES-->
		<table cellpadding="7" cellspacing="0" class="list_something">
			<tr>
				<th>Project</th>
				<th>Task</th>
				<th>Start</th>
				<th>End</th>
				<th>Duration</th>
				<th>Options</th>
				<th>Description</th>
				<th>Delete</th>
				<th colspan="3">Info</th>
			</tr>
        <?
        
        $entryTotalHours = 0;
         
        foreach($entries as $entryKey => $entry) {
            
            if($entry->status != ENTRY_STATUS_REJECTED) {
            	$entryTotalHours += $entry->timeSpan;
            }
            
            // Get project by id
            $projects	=	$delegate->getProjects(array("id" => $entry->projectId));
            if(is_array($projects) AND count($projects) > 0) {
            	foreach($projects as $projectKey => $project);
            }
            
            // Get task by id
            if(is_numeric($entry->taskId) AND $entry->taskId > 0) {
        		$tasks = $delegate->getTasks(array("id" => $entry->taskId));
        		
        		if(is_array($tasks) AND count($tasks) > 0) {
        			foreach($tasks as $taskKey => $task);
        		}
            } else {
            	unset($tasks);
            	unset($task);
            }
		?>
            
			<tr>
                <td <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : void() ?>><?=$project->name?></td>
                
                <td <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : void() ?>><?=(is_object($task)) ? $task->name : "&nbsp;" ?></td>

                <td <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : void() ?>><?=(strtotime($entry->startTime)) ? substr($entry->startTime, 0, 5) : "&nbsp;" ?></td>

                <td <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : void() ?>><?=(strtotime($entry->endTime)) ? substr($entry->endTime, 0, 5) : "&nbsp;" ?></td>

                <td align="center" <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : void() ?>><?=(is_numeric($entry->timeSpan)) ? date("H:i", mktime(0, $entry->timeSpan, 0, 0, 0, 0)) : "&nbsp;" ?></td>
                
                <td <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : void() ?>>
				<?
					list($entryYear, $entryMonth, $entryDay) = explode("-", $entry->date);
					 
					if( ($entry->timeSpan == 0 OR !is_numeric($entry->timeSpan)) ) {

						// Give this link only if current day = day of entry
						/*if( $entry->date == date("Y-m-d") AND ($entry->timeSpan <= 0 OR !is_numeric($entry->timeSpan)) AND substr($entry->startTime, 0, 5) != date("H:i") ) {*/ ?>
                	        <a href="<?=SERVER_ROOT?>/common/controller.php?action=doFinishEntryExe&amp;entryId=<?=$entry->id?>">finish now</a> |
					<?	/*}*/	?>
					
							<a href="<?=SERVER_ROOT?>/common/controller.php?action=goToFinishEntry&amp;entryId=<?=$entry->id?>">finish (choice)</a>
						
				<?
					} else {
						
						// User is not in project anymore OR project is closed => not allowed to make continue on entry
						if($delegate->checkUserInProject($loggedUser->id, $entry->projectId) AND ($project->status == PROJECT_STATUS_OPEN)) {
							if($entry->status != ENTRY_STATUS_REJECTED) { ?>
								<a href="<?=SERVER_ROOT?>/common/controller.php?action=doContinueEntryExe&amp;entryId=<?=$entry->id?>">continue</a>
				<?
							} else {
								echo '&nbsp;';
							}
						}

                    	($entry->status == ENTRY_STATUS_REJECTED) ? "<hr class=\"rejected_entry_strike\" />" : "";
					}
				?>
                   
                </td>
                <td <?=($entry->status == ENTRY_STATUS_REJECTED) ? "id=\"rejected\"" : ""?>><?=(!empty($entry->description)) ? $entry->description : "&nbsp;";?></td>
                <td><a onclick="javascript:return confirm('Are you sure you want to delete this entry?');" href="<?=SERVER_ROOT?>/common/controller.php?action=doDeleteEntryExe&amp;entryId=<?=$entry->id?>"><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_delete.gif" border="0" alt="Delete" title="Delete" /></a></td>


             
               <!--info--> 
               <td align="left">
                    <?
                    // Not finished entries
                    if(!empty($entry->startTime) AND empty($entry->endTime)) { ?>
                        <img src="<?=SERVER_ROOT?>/assets/images/icons/entry_unfinished.gif" alt="Unfinished entry" title="Unfinished entry"/>
                    <?} 
                   
                    // Rejected entries
                    if($entry->status == ENTRY_STATUS_REJECTED) { ?>
                    <img src="<?=SERVER_ROOT?>/assets/images/icons/entry_rejected.gif" 
                             onMouseover="ddrivetip('<span class=\'ddrivetip_text_standard\'>' +
    												'Rejected entry reason: <br/>' +
    												'<span class=\'ddrivetip_text\'><?=(!empty($entry->note)) ?  str_replace("\r", "", str_replace("\n", "<br/>", str_replace("\"", "\\'\\'", str_replace("\'", "\\'", $entry->note)))) : "-" ?></span><br/>' +
    												'Rejected date: <?=(strtotime($entry->statusDate)) ? $entry->statusDate : "-" ?><br/>' +
    												'<hr/>' +
    												'For more information, please contact the administrator!' +
    												'</span>')" 
    						onMouseout="hideddrivetip()" />
                    <?}?> 
                   
                   
                        <span class="not_finished_exclamation">
    						<img src="<?=SERVER_ROOT?>/assets/images/icons/entry_information.gif" 
    							 onMouseover="ddrivetip('<span class=\'ddrivetip_text_standard_info_entry\'>' +
    													'<b>Entry information:</b> <br/>' +
    													'Add date: <?=(strtotime($entry->checkDate)) ? $entry->checkDate : "-" ?> <br/> ' +
    													'Add from IP: <?=(!empty($entry->checkDateIp)) ? $entry->checkDateIp : "-" ?> <br/> ' +
    		
    													'<hr/>' +
    											 
    													'\'Start\' date: <?=(strtotime($entry->checkStartTime)) ? $entry->checkStartTime : "-" ?> <br/> ' +
    													'\'Start\' from IP: <?=(!empty($entry->checkStartTimeIp)) ? $entry->checkStartTimeIp : "-" ?> <br/> ' +
    
    													'<hr/>' +
    													 
    													'\'End\' date: <?=(strtotime($entry->checkEndTime)) ? $entry->checkEndTime : "-" ?> <br/>' +
    													'\'End\' from IP: <?=(!empty($entry->checkEndTimeIp)) ? $entry->checkEndTimeIp : "-" ?> <br/>' +
    													
    													'</span>' )" 
    							onMouseout="hideddrivetip()" />
                        </span>
                    
                </td>
            </tr>
        <?}?>
            <!--total pontaj zilnic-->
            <tr>
               <th colspan="4" align="right">Total hours of work</th>
               <th colspan="1" align="center"><?=repairTimeSpan(floor($entryTotalHours/60) .':'. $entryTotalHours%60)?></th>
               <th colspan="6">&nbsp;</td>
           </tr>  
        </table>
        <!--END ENTRIES-->
    <?}?>


    <? if (is_array($entries) AND count($entries) > 0) { ?>
        <!--START LEGEND-->
        <div>
            <table>
                <tr><td colspan="2"><span class="not_finished_text">Legend:</span></td></tr>
                <tr>
                    <td align="center"><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_unfinished.gif" alt=""/></td>
                    <td><span class="not_finished_text">Unfinished entry</span></td>
                </tr>    
                <tr>
                    <td align="center"><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_rejected.gif" alt=""/></td>
                    <td><span class="not_finished_text">Rejected entry reason</span></td>
                </tr>    
                <tr>
                    <td align="center"><img src="<?=SERVER_ROOT?>/assets/images/icons/entry_information.gif" alt=""/></td>
                    <td><span class="not_finished_text">Entry information</span></td>    
                </tr>
            </table>
        </div>
        <!--END LEGEND-->
        
        
        <!-- TOOLTIP: { JScript pentru mouseover -->
        <div id="dhtmltooltip"></div>
        <script type="text/javascript">
            <!--    
          	var offsetxpoint = 15; //Customize x offset of tooltip
            var offsetypoint = 10; //Customize y offset of tooltip
            var ie  = document.all;
            var ns6 = document.getElementById && !document.all;
            var enabletip = false;
            if (ie||ns6)
            	var tipobj = document.all ? document.all["dhtmltooltip"] : document.getElementById ? document.getElementById("dhtmltooltip") : "" ;
            document.onmousemove = positiontip;
            //-->
        </script>
        <!-- TOOLTIP:  JScript pentru mouseover } -->
<?
    }
} // end show daily pannel


// Regular user (NOT admin or master admin)
if($loggedUser->level < USER_LEVEL_ADMIN) {
	
	// If user is assigned to at least one project
	if(is_array($projects) AND count($projects) > 0) {
		showDailyPanel($projects, $loggedUser, $tmpAddEntry);
	} else {
		echo '<div class="no_assigned_project_msg">
                You are not assigned to any project!<br/>
                Please contact your administrator to be added to a project!
            </div>';
	}

// If logged user is admin
} else if($loggedUser->level >= USER_LEVEL_ADMIN) {
	
	// If admin have projectes
	if(is_array($projects) AND count($projects) > 0 AND $allUsersInProjects > 0) {
		showDailyPanel($projects, $loggedUser, $tmpAddEntry);
	
	// If in the system don't exists projects
	} elseif(count($allProjects) == 0 OR $allUsersInProjects == 0) {
		
		(count($delegate->getClients()) > 0) ? $reqClientsDone = '- done' : void();
		(count($delegate->getUsers()) > 1) ? $reqUsersDone = '- done' : void();
		(count($allProjects) > 0) ? $reqProjectsDone = '- done' : void();
		
	?> 
    
        <span class="no_assigned_project_msg"><b>Not enough data in the system. Please follow these steps:</b></span><br />
		&nbsp;&nbsp;&nbsp;1. <a class="start_tip" href="<?=SERVER_ROOT?>/common/controller.php?action=goToClients">Add at least a client (optional)</a> <?=$reqClientsDone?><br />
		&nbsp;&nbsp;&nbsp;2. <a class="start_tip" href="<?=SERVER_ROOT?>/common/controller.php?action=goToProjects">Add at least a project (mandatory)</a><?=$reqProjectsDone?><br />
		&nbsp;&nbsp;&nbsp;3. <a class="start_tip" href="<?=SERVER_ROOT?>/common/controller.php?action=goToUsers">Add an user to the system (optional)</a><?=$reqUsersDone?><br />
		&nbsp;&nbsp;&nbsp;4. <a class="start_tip" href="<?=SERVER_ROOT?>/common/controller.php?action=goToProjects">Assign yourself and/or another user to a project (mandatory)</a><br />
                
	<?php
	// If in the system exists projects but admin isn't assigned to any
	} elseif(count($allProjects) != 0 AND count($projects) == 0) {
		echo '<div class="no_assigned_project_msg">
                You are not assigned to any project!<br/>
            </div>';
	}
}

?>


		<!-- FOOTER -->
        <? include_once("../common/footer.php");?>
    </body>
</html>