<?php

include_once('./common/delegate.php');

// Start the session
session_start();


$delegate = new Delegate();

################################################################################
###   Check if user is already exits   #########################################

/**
 * [1] Session method
 */

// Check is user id session is set and is numeric
if(isset($_SESSION['userId']) AND is_numeric($_SESSION['userId'])) {

	// Load user as object, from SQL by id
	$loggedUser = $delegate->getUserById(intval($_SESSION['userId']));
	
	if(is_numeric($loggedUser->id)) {
		header("Location: ". SERVER_ROOT ."/daily/daily.php");
		exit();
	}

/**
 * [2] Cookie method
 */
// Check if user id cookie is set and is numeric
} elseif(isset($_COOKIE['userId']) AND is_numeric($_COOKIE['userId'])) {

	// Load user as object, from SQL by id
	$loggedUser = $delegate->getUserById(intval($_COOKIE['userId']));
	
	if(is_numeric($loggedUser->id)) {
		$_SESSION['userId']		= $loggedUser->id;
		
		// Set up the callendar dates
		$_SESSION['calendarYear']	=	date("Y");
		$_SESSION['calendarMonth']	=	date("m");
		$_SESSION['calendarDay']	=	date("j");
		
		header("Location: ". SERVER_ROOT ."/daily/daily.php");
		exit();
	}
}

################################################################################
################################################################################
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Forget password</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />

        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    <body>
        
        <div class="page_block_style"> 

            <table cellpadding="0" cellspacing="0" class="header">
                <tr>
                    <!--logo-->
                    <td class="header_logo">
                        
						<a href="<?=SERVER_ROOT?>/index.php" style="text-decoration:none;">
						    <table cellpadding="0" cellspacing="0">
						        <tr>
						            <td rowspan="2">
						                <img style="vertical-align:top" src="<?=SERVER_ROOT?>/assets/images/logo_clock.gif" width="23" height="29" border="0"/>
						            </td>    
						
						            <td>
						                <span class="logo_firstword">&nbsp;Time</span><span class="logo_secondword">Tracking</span>
						                <div class="motto">&nbsp;&nbsp;the easier time tracking system around the world</div>
						            </td>    
						        </tr>
						    </table>
						</a>
						
                    </td>

                    <!--top links-->

                    <td class="header_top_links">                        
                        <a href="/pontaj" class="index_top_links"><img src="<?=SERVER_ROOT?>/assets/images/top_menu_link_arrow.gif" width="12" height="10" />Home</a>
                        &nbsp;&nbsp;
                        <a href="<?=SERVER_ROOT?>/faq.jsp" class="index_top_links"><img src="<?=SERVER_ROOT?>/assets/images/top_menu_link_arrow.gif" width="12" height="10" />Intrebari</a>
                        &nbsp;&nbsp;
                        <a href="<?=SERVER_ROOT?>/register.jsp" class="index_top_links"><img src="<?=SERVER_ROOT?>/assets/images/top_menu_link_arrow.gif" width="12" height="10" />Inregistrare</a>
                    </td>
                </tr>

            </table>
            
        <hr/>
        

        <?=showErrorAndMessagesLogs()?> 

        
        <div class="page_title">Recover password</div>
        
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="post">
        	<input type="hidden" name="action" value="doForgotPasswordExe" />
        	
	        <table cellpadding="0" cellspacing="3" class="form_style">
	            <tr>
	                <th>E-mail address</th>
	                <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
	
	                <td><input type="text" name="email" size="20"></td>
	            </tr>
	
	            <tr>
	                <th>Security code</th>
	                <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
	                <td><input type="text" name="securityCode" style="width:90px;margin-top:15px;">
	
	                    &nbsp;&nbsp;
	                    <!-- start generate a CAPCHA code -->
	                    <img src="<?=SERVER_ROOT?>/common/captcha.php?<?=substr(md5(time()), 0, 5)?>" alt="Security code" title="Security code" style="vertical-align:top;" />
	                    <!-- end generate a CAPCHA code -->
	                </td>
	            </tr>
	            
	            <tr>
	                <th>&nbsp;</th>
	                <td>&nbsp;</td>
	
	                <td align="right"><input type="submit" class="submit_button" value="Send"></td>
	            </tr>
	            
	             <tr>
	                   <td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;Mandatory field</td>
	             </tr>
	       </table>
       </form>
    
       <!--footer-->


    <!--FOOTER-->
    <div class="inside_footer">
        <img src="<?=SERVER_ROOT?>/assets/images/inside_footer.gif" width="1000" height="40"/>
        <div class="inside_footer_text">
            Drepturi de autor PontajOnline. Toate drepturile rezervate.
            <a href="#" class="footer_link" onclick="openNewWindow('<?=SERVER_ROOT?>/terms.jsp')">Termeni şi condiţii</a>.
            &nbsp;<a href="<?=SERVER_ROOT?>/contact.jsp" class="footer_link">Contact</a>.
        </div>   
    </div> 
    
</div> 
</html>