<?php
include_once('../common/delegate.php');
include_once('../common/calendar.php');

// Start the session
session_start();

// Check if user is logged
if(!is_numeric($_SESSION['userId'])) {
	header("Location: ". SERVER_ROOT ."");
	exit();
}

// Make new Delegate instance
$delegate = new Delegate();

// Make new Calendar instance 
$calendar = new Calendar();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if logged user is admin
if($loggedUser->level < USER_LEVEL_ADMIN) {
	header("Location: ". SERVER_ROOT ."/daily/daily.php");
	exit();
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Reports</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        
		<!--for reject reason tooltip-->
		<script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/dhtmltooltip.js"></script>
	        
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    
    <body>
		<?php
			define('SECTION', 'reports');
			include_once("../common/header.php");
			include_once("../common/mainbar.php");
			print showErrorAndMessagesLogs();
		?>

<div class="current_date">Current date: &nbsp; <b><?=getDateAndTime()?></b></div>
<hr />

        <div class="page_title">Reports</div> 
        
        <ul>
            <li><a class="reports" href="<?=SERVER_ROOT?>/common/controller.php?action=goToGeneralReports">General reports</a></li>
            <li><a class="reports" href="<?=SERVER_ROOT?>/common/controller.php?action=goToEmployeeReports">User reports</a></li>
            <li><a class="reports" href="<?=SERVER_ROOT?>/common/controller.php?action=goToProjectReports">Project reports</a></li>
            <li><a class="reports" href="<?=SERVER_ROOT?>/common/controller.php?action=goToClientReports">Client raports</a></li>
        </ul>
		
		<!-- FOOTER -->
        <?include_once("../common/footer.php");?>
    </body>
</html>