<?php
include_once('../common/delegate.php');
// Start the session
session_start();

// Make new Delegate instance
$delegate = new Delegate();

// Get logged user, and save him as object
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if logged user is admin
if($loggedUser->level < USER_LEVEL_ADMIN) {
	header("Location: ". SERVER_ROOT ."/daily/daily.php");
	exit();
}

$userId = $_GET['userId'];

// If user isn't numeric
if(!is_numeric($userId)) {
	$_SESSION['errors'][] = "User don't exit";
	header("Location: ". SERVER_ROOT ."/users/users.php");
}

$users  = $delegate->getUsers(array("id" => $userId));

// If user exist in DB
if(is_array($users)) {
	foreach($users as $user);
	
// If not
} else {
	$_SESSION['errors'][] = "User don't exit";
	header("Location: ". SERVER_ROOT ."/users/users.php");
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Edit user</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    <body>
		<?php
			define('SECTION', 'users');
			include_once("../common/header.php");
			include_once("../common/mainbar.php");
			print showErrorAndMessagesLogs();
		?>
        
		<div class="page_title">Edit user</div>
		<form action="<?=SERVER_ROOT?>/common/controller.php" method="post" name="editUserForm">
			<table cellpadding="0" cellspacing="3" class="form_style" style="border-style:none;">
				<tr>
                    <th><label for="userEmail">User email</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input type="text" name="userEmail" id="userEmail" value="<?=$user->email?>"></td>
                </tr>
                
                <tr>
                    <th><label for="userName">User name</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input type="text" name="userName" id="userName" value="<?=$user->name?>"></td>
                </tr>
                               
                <tr>
                    <th><label for="userPassword">User password</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input type="text" name="userPassword" id="userPassword" value="<?=$user->password?>"></td>
                </tr>
                
                <tr>
                    <th><label for="isAdmin">Administrator rights</label></th>
                    <td>&nbsp;</td>
                    <td><input type="checkbox" id="isAdmin" name="isAdmin" <?=($user->level >= USER_LEVEL_ADMIN) ? "checked=\"checked\"" : ""?> ></td>
                </tr>
                
                <tr>
                    <th><label for="userStatus">Status</label></th>
                    <td>&nbsp;</td>
                    <td>
                        <input type="radio" id="inactive" name="userStatus" value="0" <?=($user->status == USER_STATUS_INACTIVE) ? "checked=\"checked\"" : ""?> /><label for="inactive">Inactive</label>                  
                        <input type="radio" id="active" name="userStatus" value="1" <?=($user->status == USER_STATUS_ACTIVE) ? "checked=\"checked\"" : ""?> /><label for="active">Active</label>
                    </td>
                </tr>
                
                <tr>
                    <th>&nbsp;</th>
                    <td>&nbsp;</td>
                    <td align="right">
                        <input type="hidden" name="action" value="doEditUserExe">
                        <input type="hidden" name="userId" value="<?=$user->id?>">
                        <a href="<?=SERVER_ROOT?>/common/controller.php?action=goToUsers" class="cancel_action">Cancel</a>
                        &nbsp;<input type="submit" class="submit_button" style="width:150px;" value="Save changes">
                        
                    </td>
               </tr>
               
               <tr>
                    <td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;mandatory field</td>
               </tr>
            </table>
        </form>
        
		<!-- FOOTER -->
        <?include_once("../common/footer.php");?>
        
    </body>
</html>